package uebung10.logo;

public class Demo {
    public static void main(String[] args) {
        final Stmt prog = new Sequence(new PenDown(), new Go(95),
                                       new Turn(90), new Go(95),
                                       new Turn(90), new Go(95),
                                       new Turn(90), new Go(95));
        final Stmt prog2 = new Sequence(new PenDown(), new Go(100), new Turn(120), new Go(100));
        final Stmt prog3 = new Sequence(new PenDown(), new Go(100), new Turn(120),
                                        new Go(25), new PenUp(), new Go(20), new PenDown(), new Go(55),
                                        new PenUp(), new Turn(60), new Go(50), new Turn(90),
                                        new PenDown(), new Go(60));
        final DarkForest gr = new HanselGretelFrame("Logo!");
        final Turtle turtle = new Turtle(250, 250, 0);
        final Visitor visitor = new HanselGretelVisitor(30, turtle, gr);
        prog3.accept(visitor);
    }
}
